Skip to main content
POST
/
webhooks
Create webhook
curl --request POST \
  --url https://api.smartlyq.com/v1/webhooks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ]
}
'
{
  "success": true,
  "data": {
    "id": 2,
    "url": "https://example.com/hooks",
    "events": [
      "post.published"
    ],
    "status": "active",
    "secret": "whsec_a1b2c3d4e5f6"
  },
  "meta": {
    "request_id": "req_abc123",
    "timestamp": "2026-03-01T16:00:00Z"
  }
}

Authorizations

Authorization
string
header
required

API key from Developer dashboard (Bearer token).

Body

application/json
url
string<uri>
required

Public HTTPS endpoint that receives signed POSTs.

events
string[]
required

Event names to subscribe to.

Response

Created

success
enum<boolean>
Available options:
true
data
object
meta
object